#
# spec file for package avmfritzcapi (Version 2.6)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         avmfritzcapi
URL:          http://www.avm.de/
Version:      2.6
Release:      26.7
Summary:      CAPI 2.0 drivers for AVM FRITZ! ISDN adapters
License:      Commercial, Other License(s), see package
Group:        Hardware/ISDN
Autoreqprov:  on
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       fritzcapi.tar.bz2
Source1:      fcpci-20040331.tar.bz2
Source2:      fcclassic-20040331.tar.bz2
Source3:      fcpcmcia-20040331.tar.bz2
Source4:      fcpnp-20040331.tar.bz2
#Source4:      ftp://ftp.avm.de/cardware/fritzcrd.pnp/linux/suse.82/fcpnp-suse8.2-03.11.02.tar.gz
Source5:      fcusb-20040326.tar.bz2
Source6:      fcusb2-20040326.tar.bz2
Source7:      fxusb-20040326.tar.bz2
Patch1:       fcpci-make.diff
Patch2:       fcusb-make.diff
Patch3:       fxusb_CZ.patch
Patch4:       avmfritzcapi_initdata.diff
Patch5:       fritz_classic_fax.diff
Patch6:       usb_interface_claimed.diff
# The driver sources are allready in km_fritzcapi, so we don't
# put it here again, since the archives contain all the same not needed
# lib/kernel stuff from our i4l/kernel package
NoSource:     1
NoSource:     2
NoSource:     3
NoSource:     4
NoSource:     5
NoSource:     6
NoSource:     7

%description
This package provides bin only CAPI 2.0 drivers for AVM FRITZ! ISDN
adapters. Following adapters are supported:

FRITZ!CARD classic (or AVM A1) FRITZ!CARD PnP FRITZ!CARD PCI FRITZ!CARD
PCI v2.0 FRITZ!CARD PCMCIA FRITZ!CARD USB FRITZ!X USB

It only supports i386 single processor architecture.



Authors:
--------
    AVM Computersysteme Vertriebs GmbH & Co.KG

%package -n km_fritzcapi
Summary:      Kernel Module Sub-Package for avmfritzcapi
Group:        Hardware/ISDN
 

%description -n km_fritzcapi
The kernel module sub-package for avmfritzcapi. This package is needed
for compiling the binary only CAPI 2.0 drivers for the FRITZ! series of
ISDN devices during kernel build.



Authors:
--------
    AVM

%prep
%setup -c -n avmfritzcapi
%setup -n avmfritzcapi/fcpci -c -T -a 1
%patch1 -p0
%setup -n avmfritzcapi/fcclassic -c -T -a 2
pushd fritz.classic
%patch1 -p1
%patch5 -p1
popd
%setup -n avmfritzcapi/fcpcmcia -c -T -a 3
pushd fritz.pcmcia
%patch1 -p1
popd
%setup -n avmfritzcapi/fcpnp -c -T -a 4
pushd fritz.pnp
%patch1 -p1
popd
%setup -n avmfritzcapi/fcusb -c -T -a 5
pushd fritz.usb
%patch2 -p1
%patch6 -p1
popd
%setup -n avmfritzcapi/fcusb2 -c -T -a 6
pushd fritz.usb2
%patch2 -p1
%patch6 -p1
popd
%setup -n avmfritzcapi/fxusb -c -T -a 7
pushd fritz.xusb
%patch2 -p1
%patch6 -p1
popd
%setup -n avmfritzcapi/fxusb_CZ -c -T -a 7
mv fritz.xusb fritz.xusb_CZ
pushd fritz.xusb_CZ
%patch2 -p1
%patch6 -p1
%patch3 -p1
mv lib/fxusb-lib.o lib/fxusb_CZ-lib.o
popd
%setup -T -D -n avmfritzcapi

%build
echo "Beta Fritz PCI driver for kernel 2.6 - do not distribute" > BETA

%install
rm -f -r $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT/usr/src/kernel-modules/fritzcapi
mkdir -p ${DESTDIR}
DOCDIR=$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
mkdir -p $DOCDIR
for i in f* ; do
    echo $i
    cp -a $i/* ${DESTDIR}/
done
cp -p Makefile.km_fritzcapi  ${DESTDIR}/Makefile
cp BETA $DOCDIR
cp license.txt $DOCDIR
cp CAPI20_Errormessages.txt $DOCDIR
patch -p1 -d $DESTDIR < %_sourcedir/avmfritzcapi_initdata.diff

%files
%doc %{_defaultdocdir}/%{name}

%files -n km_fritzcapi
%dir %attr (-,root,root) /usr/src/kernel-modules
%dir %attr (-,root,root) /usr/src/kernel-modules/fritzcapi
%attr (-,root,root) /usr/src/kernel-modules/fritzcapi/*

%changelog -n avmfritzcapi
* Sun Jun 20 2004 - kkeil@suse.de
- fix "Interface already claimed" error on USB cards (#42181)
* Thu Jun 17 2004 - kkeil@suse.de
- fix random 0x3315 FAX error with Fritz!Card Classic (#42165)
* Mon May 03 2004 - kkeil@suse.de
- fix OOPS if a driver is already loaded and a new controller is
  found; device tables are not __initdata (#36262)
* Thu Apr 29 2004 - kkeil@suse.de
- add patched driver for OEM versions of Fritz!X
* Thu Apr 01 2004 - kkeil@suse.de
- new version from AVM for none USB versions
* Mon Mar 29 2004 - kkeil@suse.de
- new version from AVM for USB versions
* Mon Mar 22 2004 - kkeil@suse.de
- new version from AVM for USB versions
* Wed Mar 17 2004 - kkeil@suse.de
- new version from AVM including USB
* Tue Mar 09 2004 - kkeil@suse.de
- fix for uml kernel
* Tue Mar 09 2004 - agruen@suse.de
- Another fix for CONFIG_REGPARM: Our compiler is more strict.
* Fri Mar 05 2004 - kkeil@suse.de
- new version from AVM to support CONFIG_REGPARM
* Mon Mar 01 2004 - kkeil@suse.de
- new version from AVM
* Fri Feb 20 2004 - kkeil@suse.de
- first testversion for kernel 2.6 from AVM
* Fri Aug 29 2003 - kkeil@suse.de
- update rest to new versions from AVM
* Tue Aug 12 2003 - kkeil@suse.de
- update all USB drivers to new versions
* Mon Jul 28 2003 - kkeil@suse.de
- update Fritz!Card PCI driver to new version
* Fri Jun 13 2003 - kkeil@suse.de
- fix filelist
* Fri Feb 28 2003 - kkeil@suse.de
- driver update for internal cards from AVM
* Fri Feb 07 2003 - kkeil@suse.de
- readd missing license.bin
* Fri Jan 31 2003 - kkeil@suse.de
- update to current 8.1 versions
* Sat Nov 02 2002 - kkeil@suse.de
- cardservice module fcpcmcia_cs was not build (#21492)
- remove workaround for USB controllers - not needed
* Fri Sep 27 2002 - kkeil@suse.de
- fix kernel crash on fax operations, workaround to don't use
  vmalloc in interrupt context (#20315)
* Fri Sep 06 2002 - kkeil@suse.de
- fix the fxusb_CZ patch to compile as km_ module (#18993)
* Fri Aug 30 2002 - msvec@suse.cz
- driver renamed to fxusb_CZ.o
- arranged the kernel Makefiles accordingly
- added README.fxusb_CZ with disclaimers and license
* Thu Aug 29 2002 - msvec@suse.cz
- support for Czech fxusb devices (#16388)
* Wed Aug 28 2002 - kkeil@suse.de
- remove unwanted debug output (#18494)
* Fri Aug 02 2002 - kkeil@suse.de
- fix __udivdi3 undefined symbol in current kernel versions
* Tue Jul 16 2002 - kkeil@suse.de
- move kernel drivers to km_fritzcapi
* Tue May 28 2002 - kkeil@suse.de
- first version
